Subject: Re: bug#40773: newsticker documentation

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2020 12:34:25 +0300

> Date: Wed, 29 Apr 2020 05:12:13 -0400
> From: Boruch Baum <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > We mention the most important of them in the Emacs manual, but we
> > cannot possible mention all of them.
> 
> Why not? It's --only-- 58. They likely don't change very often. After
> the initial work, which I'm guessing will amount 58 text lines in a
> single .texi file (is that how it works?), how often will it need to be
> changed?

I don't think a single line for a package will do.  Compare with the
descriptions we do have for the manuals we do mention in the Emacs
manual.

> > > Further, as a corollary, I suggest that packages bundled in the default
> > > emacs distribution should NOT have info nodes in the emacs section of
> > > the root info index, ie. no duplication. Either the emacs section of the
> > > root info index should be restricted to non-default emacs packages, or
> > > there shouldn't exist such a section at all, and the emacs manual should
> > > have a section for external packages.
> >
> > I don't think I understand what you propose here.  What is "the root
> > info index"? is that the Emacs menu in the DIR file
> 
> That sounds right. I meant  what I see when I type `C-h i'.

Then I don't understand the rationale for removing the entries from
there.  What useful purpose would that serve?